2

I'm new to the pico world and micropython. Needless to say, one of the first things anyone should learn is the ability to set up environments and know the structure of the pico.

I have read the documentation for the package distribution process found here. By the looks of it, upip should automatically be installed after dropping the UF2 file on the pico in the file explorer system right? I am using v1.19.1 found here.

When I open an REPL console and run,

import upip

it throws ImportError: no module named 'upip'. Should this automatically be installed like pip is for normal python? This issue has been difficult to come by.

I will also add, however, I am not using the Thonny IDE, but am using PyCharm with a Micropython plug in. I am not sure if this should have any affect on this matter.

5
  • If you followed some instructions and they are wrong (I would double check that you have followed and understood the instructions) the thing to do would be to raise an issue with the instruction writer.
    – joan
    Jul 15, 2022 at 8:27
  • @joan The pico is working just fine. It still has the necessary modules, but upip is not there. Could it be the UF2 file? I haven't tried using any others. Jul 15, 2022 at 12:17
  • Could it be that upip should be installed on your computer rather than on the pico?
    – NomadMaker
    Jul 15, 2022 at 17:28
  • How would you go about doing that? @NomadMaker Jul 15, 2022 at 22:06
  • Sorry, I barely know any micro-python.
    – NomadMaker
    Jul 15, 2022 at 22:16

1 Answer 1

4

As far as I understood, is upip replaced by mip in the 1.19 release of micropython. https://docs.micropython.org/en/latest/reference/packages.html

Therefor you should go with

>>> import mip
>>> mip.install("pkgname") 
4
  • Just tried it, but I still get the same error. Oct 12, 2022 at 13:38
  • Maybe you have to download the latest firmware: micropython.org/download/rp2-pico-w
    – telenaut
    Oct 17, 2022 at 11:34
  • Well I was previously using 1.19.1, but the latest release from 10/14/2022, which is still 1.19.1 worked! I appreciate the help. Oct 17, 2022 at 15:35
  • This one worked perfectly since I was not able to use upip in raspberry pico w. Dec 30, 2022 at 3:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.